body,html{
    margin: 0;
    padding: 0;
    font-family: montserrat;
    height: 100vh;
    overflow-x: hidden;
    background: linear-gradient(120deg, #7ead20, #a2f819);
    
}

.center{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 400px;
    background: white;
    padding-bottom: 25px;
    border-radius: 10px;
    box-shadow: 7px 7px 7px 7px rgb(22, 54, 3) ;
}

.center h1{
    text-align: center;
    padding: 0 0 20px 0;
    border-bottom: 1px solid silver;
}

.center form{
    padding: 0 40px;
    box-sizing: border-box;
}

form{
    height: 200px;
}

form .txt_field{
    position: relative;
    border-bottom: 2px solid #adadad;
    margin: 30px 0;
}
.txt_field input{
    width: 100%;
    padding: 0 5px;
    height: 40px;
    font-size: 16px;
    border: none;
    background: none;
    outline: none;

}

.txt_field label{
    position: absolute;
    top: 50%;
    left: 5px;
    color: #adadad;
    transform: translateY(-50%);
    font-size:  16px;
    pointer-events: none;
    transition: .5s;

}
.txt_field span::before{
    content: '';
    position: absolute;
    top: 40px;
    left: 0;
    width: 0%;
    height: 2px;
    background: #2691d9;
    transition: .5s;
}
.txt_field input:focus ~ label,
.txt_field input:valid ~ label{

    top: -5px;
    color: rgb(1, 53, 1);
}
.txt_field input:focus ~ span::before,
.txt_field input:valid ~ span::before{
width: 100%;
}

#submit{
    width: 160px;
    height: 40px;
    text-align: center;
    padding-top: 8px;
    text-decoration: none;
    border-radius:25px;
    background: rgb(64, 247, 64);
    font-size: 18px;
    color: black;
    outline: none;
    font-weight: 700;
    cursor: pointer;


}
#submit:hover{
border-color: black;
transition: .5s;
}